libvisio::VSDLineStyle Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDLineStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDLineStyle ()
| VSDLineStyle (double w, Colour col, unsigned char p, unsigned char sm, unsigned char em, unsigned char c, double r, long qlc, long qlm)
| VSDLineStyle (const VSDLineStyle &style)
| ~VSDLineStyle ()
void | override (const VSDOptionalLineStyle &style, const VSDXTheme *theme)

## Public Attributes
double | width
Colour | colour
unsigned char | pattern
unsigned char | startMarker
unsigned char | endMarker
unsigned char | cap
double | rounding
long | qsLineColour
long | qsLineMatrix

## Constructor & Destructor Documentation

## ◆ VSDLineStyle() [1/3]

libvisio::VSDLineStyle::VSDLineStyle | ( |  | ) |
| inline

## ◆ VSDLineStyle() [2/3]

libvisio::VSDLineStyle::VSDLineStyle | ( | double | w,
|  | Colour | col,
|  | unsigned char | p,
|  | unsigned char | sm,
|  | unsigned char | em,
|  | unsigned char | c,
|  | double | r,
|  | long | qlc,
|  | long | qlm
| ) |  |
| inline

## ◆ VSDLineStyle() [3/3]

libvisio::VSDLineStyle::VSDLineStyle | ( | const VSDLineStyle & | style | ) |
| inline

## ◆ ~VSDLineStyle()

libvisio::VSDLineStyle::~VSDLineStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ override()

void libvisio::VSDLineStyle::override | ( | const VSDOptionalLineStyle & | style,
|  | const VSDXTheme * | theme
| ) |  |
| inline

## Member Data Documentation

## ◆ cap

unsigned char libvisio::VSDLineStyle::cap

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

## ◆ colour

Colour libvisio::VSDLineStyle::colour

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

## ◆ endMarker

unsigned char libvisio::VSDLineStyle::endMarker

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

## ◆ pattern

unsigned char libvisio::VSDLineStyle::pattern

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

## ◆ qsLineColour

long libvisio::VSDLineStyle::qsLineColour

Referenced by override().

## ◆ qsLineMatrix

long libvisio::VSDLineStyle::qsLineMatrix

Referenced by override().

## ◆ rounding

double libvisio::VSDLineStyle::rounding

Referenced by override().

## ◆ startMarker

unsigned char libvisio::VSDLineStyle::startMarker

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

## ◆ width

double libvisio::VSDLineStyle::width

Referenced by libvisio::VSDContentCollector::_lineProperties(), and override().

The documentation for this struct was generated from the following file:

- VSDStyles.h